CS::RenderManager::RMDebugCommon< RenderTreeType > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::RMDebugCommon< RenderTreeType > Class Template Reference

Common debug helpers in render manager plugins. More...

`#include <csplugincommon/rendermanager/debugcommon.h>`

Inherits CS::RenderManager::RMDebugCommonBase.

List of all members.

## Public Member Functions
void | DebugFrameRender (CS::RenderManager::RenderView *rview, RenderTreeType &renderTree)
| Render debug information/displays.
void | SetTreePersistent (typename RenderTreeType::PersistentData &treePersist)
| Set persistent data needed by debug helpers.

## Detailed Description

### template<typename RenderTreeType>
class CS::RenderManager::RMDebugCommon< RenderTreeType >

Common debug helpers in render manager plugins.

Provides an implementation of iDebugHelper. Thus deriving classes should add `scfFakeInterface<iDebugHelper>` to their SCF implementation base class.

The derived render manager implementation must provide an instance of RenderTreeBase::DebugPersistent and call SetTreePersistent() with that instance.

At the end of view rendering, `DebugFrameRender()` should be called.

Definition at line 75 of file debugcommon.h.

## Member Function Documentation

template<typename RenderTreeType >

void CS::RenderManager::RMDebugCommon< RenderTreeType >::DebugFrameRender | ( | CS::RenderManager::RenderView * | rview,
|  | RenderTreeType & | renderTree
| ) |  | `[inline]`

Render debug information/displays.

Definition at line 98 of file debugcommon.h.

template<typename RenderTreeType >

void CS::RenderManager::RMDebugCommon< RenderTreeType >::SetTreePersistent | ( | typename RenderTreeType::PersistentData & | treePersist | ) | `[inline]`

Set persistent data needed by debug helpers.

Definition at line 94 of file debugcommon.h.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/debugcommon.h